### Hierarchy

- AtomStyleSheet
  - AtomTheme

### Implements

- INotifyPropertyChanging

## Index

### Constructors

- constructor

### Properties

- app
- name
- styleElement
- styles

### Methods

- attach
- createNamedStyle
- dispose
- getNamedStyle
- onPropertyChanging
- pushUpdate

## Constructors

### constructor

- new AtomStyleSheet(app: App, name: string): AtomStyleSheet

- - Defined in src/web/styles/AtomStyleSheet.ts:14

  #### Parameters

  - ##### app: App

  - ##### name: string

  #### Returns AtomStyleSheet

## Properties

### app

app: App

- Defined in src/web/styles/AtomStyleSheet.ts:16

### name

name: string

- Defined in src/web/styles/AtomStyleSheet.ts:16

### styleElement

styleElement: any

- Defined in src/web/styles/AtomStyleSheet.ts:8

### styles

styles: object

- Defined in src/web/styles/AtomStyleSheet.ts:10

#### Type declaration

- ##### [key: string]: AtomStyle

## Methods

### attach

- attach(): void

- - Defined in src/web/styles/AtomStyleSheet.ts:60

  #### Returns void

### createNamedStyle

- createNamedStyle<T>(c: IClassOf<T>, name: string, updateTimeout?: number): T

- - Defined in src/web/styles/AtomStyleSheet.ts:25

  #### Type parameters

  - #### T: AtomStyle

  #### Parameters

  - ##### c: IClassOf<T>

  - ##### name: string

  - ##### Optional updateTimeout: number

  #### Returns T

### dispose

- dispose(): void

- - Defined in src/web/styles/AtomStyleSheet.ts:54

  #### Returns void

### getNamedStyle

- getNamedStyle<T>(c: IClassOf<T>): AtomStyle

- - Defined in src/web/styles/AtomStyleSheet.ts:20

  #### Type parameters

  - #### T: AtomStyle

  #### Parameters

  - ##### c: IClassOf<T>

  #### Returns AtomStyle

### onPropertyChanging

- onPropertyChanging(name: string, newValue: any, oldValue: any): void

- Implementation of INotifyPropertyChanging.onPropertyChanging

  - Defined in src/web/styles/AtomStyleSheet.ts:32

  #### Parameters

  - ##### name: string

  - ##### newValue: any

  - ##### oldValue: any

  #### Returns void

### pushUpdate

- pushUpdate(delay?: number): void

- - Defined in src/web/styles/AtomStyleSheet.ts:36

  #### Parameters

  - ##### Default value delay: number = 1

  #### Returns void

Generated using TypeDoc